# 🌀Python

docker pull python:3.12.7

docker run -itd -p 22001-22099:22001-22099 -v /ai_robot:/ai_robot --name ai_robot python:3.12.7 /bin/bash

在服务器厂商上开放端口70-89

sudo docker exec -it ai_robot /bin/bash

## 设置为北京时区

apt-get update

apt-get install vim

cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime

date

# 🌀MySQL

docker pull mysql

## 创建容器, 并指定镜像为mysql:latest, 密码为123456, 端口为3306

在服务器厂商上开放端口3306

sudo docker run -p 3306:3306 --name mysql -e MYSQL_ROOT_PASSWORD=123456 -d mysql:latest

### 解释

-- –name：容器名，此处命名为mysql

-e：配置信息，此处配置mysql的root用户的登陆密码

-p：端口映射，此处映射 主机3306端口 到 容器的3306端口

-d：后台运行容器，保证在退出终端后容器继续运行

# 🌀Redis

docker run -itd --name redis -p 6379:6379 redis

在服务器厂商上开放端口6379

# 🌀MongoDB

## 安装

在服务器厂商上开放端口27017

docker run -itd --name mongo1 -p 27017:27017 mongo --auth

docker exec -it mongo1 mongosh admin

`db.createUser({ user:'admin',pwd:'123456',roles:[ { role:'userAdminAnyDatabase', db: 'admin'},"readWriteAnyDatabase"]});`

## 设置允许远程访问

docker exec -it mongo1 bash

apt-get update

apt-get install vim

vim /etc/mongod.conf.orig

编辑内容：bindIp: 0.0.0.0

保存退出

## 设置为北京时区

cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
